summaryrefslogtreecommitdiffstats
path: root/development/eagle/eagle.SlackBuild
diff options
context:
space:
mode:
author Kyle Guinn2010-05-11 22:53:29 +0200
committer Robby Workman2010-05-11 22:53:29 +0200
commit15bd032b578c8c2cf81b59fb3aac001df9fca785 (patch)
treee8e925870eb2fadcccb82cd9d133cc4c5075b980 /development/eagle/eagle.SlackBuild
parentbc78728a9a7720e2fb0d0d13a548b370446404b9 (diff)
downloadslackbuilds-15bd032b578c8c2cf81b59fb3aac001df9fca785.tar.gz
development/eagle: Added to 12.1 repository
Diffstat (limited to 'development/eagle/eagle.SlackBuild')
-rw-r--r--development/eagle/eagle.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/development/eagle/eagle.SlackBuild b/development/eagle/eagle.SlackBuild
new file mode 100644
index 0000000000..e437da7e09
--- /dev/null
+++ b/development/eagle/eagle.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for eagle (binary repackaging)
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+PRGNAM="eagle"
+VERSION="5.0.0"
+ARCH=i486 # I assume it was compiled for i486+, leave this alone.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM-$VERSION
+OUTPUT=${OUTPUT:-/tmp}
+
+# Documentation is distributed for both English and German. Due to the size
+# of the documentation, only include one language.
+LANG=${LANG:-"en"}
+if [ "$LANG" = "de" ]; then
+ DOCS="README_de UPDATE_de library_de.txt license_de.txt manual_de.pdf tutorial_de.pdf elektro-tutorial.pdf"
+else
+ DOCS="README_en UPDATE_en library_en.txt license_en.txt manual_en.pdf tutorial_en.pdf"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+sh $CWD/$PRGNAM-lin-$VERSION.run $PKG/opt
+chown -R root:root $PKG
+
+# Create the license key file. EAGLE will write to this the first time it is
+# run. After that, you can change the permissions to 0644 if you wish.
+touch $PKG/opt/$PRGNAM-$VERSION/bin/$PRGNAM.key
+chmod 0666 $PKG/opt/$PRGNAM-$VERSION/bin/$PRGNAM.key
+
+# Some versions of EAGLE have a graphics bug that results in corruption of the
+# displayed window, particularly affecting the display of trees and lists.
+# This is due to a conflict with compositing. The quickest fix is to set an
+# environment variable (XLIB_SKIP_ARGB_VISUALS) before running EAGLE. The fix
+# may not apply to the latest version of EAGLE, but it doesn't hurt to leave
+# it in. See http://www.cadsoft.de/faq.htm#07041701 for details.
+mkdir -p $PKG/usr/bin
+cat > $PKG/usr/bin/$PRGNAM << EOF
+#!/bin/sh
+XLIB_SKIP_ARGB_VISUALS=1
+export XLIB_SKIP_ARGB_VISUALS
+exec /opt/$PRGNAM-$VERSION/bin/$PRGNAM "\$@"
+EOF
+chmod +x $PKG/usr/bin/$PRGNAM
+
+# Move any man pages to the proper location
+mkdir -p $PKG/usr/man/man1
+mv $PKG/opt/$PRGNAM-$VERSION/doc/*.1 $PKG/usr/man/man1
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do \
+ ln -s $(readlink $i).gz $i.gz; rm $i; \
+ done
+)
+
+# Move the documentation to the proper location
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/opt/$PRGNAM-$VERSION/doc
+ mv $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+ cd ..
+ rm -rf doc
+ ln -s /usr/doc/$PRGNAM-$VERSION doc
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz